osl::search::AlphaBeta2Tree< EvalT >::NextMove< P > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::search::AlphaBeta2Tree< EvalT >::NextMove< P > Struct Template Reference

`#include <alphaBeta2.h>`

Collaboration diagram for osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >:
[legend]

## Public Member Functions
| NextMove (AlphaBeta2Tree *s, const MoveLogProb &md, Window w, int *r, bool p)
void | operator() (Square)

## Public Attributes
AlphaBeta2Tree * | searcher
const MoveLogProb & | moved
Window | window
int * | result
bool | in_pv

## Detailed Description

### template<class EvalT>
template<Player P>
struct osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >

Definition at line 194 of file alphaBeta2.h.

## Constructor & Destructor Documentation

template<class EvalT>
template<Player P>

osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::NextMove | ( | AlphaBeta2Tree * | s,
|  | const MoveLogProb & | md,
|  | Window | w,
|  | int * | r,
|  | bool | p
| ) |  |
| inline

Definition at line 1483 of file alphaBeta2.cc.

References osl::Move::player().

## Member Function Documentation

template<class EvalT>
template<Player P>

void osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::operator() | ( | Square | ) |  |
| inline

Definition at line 1488 of file alphaBeta2.cc.

References result.

## Member Data Documentation

template<class EvalT>
template<Player P>

bool osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::in_pv

Definition at line 1482 of file alphaBeta2.cc.

template<class EvalT>
template<Player P>

const MoveLogProb& osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::moved

Definition at line 1479 of file alphaBeta2.cc.

template<class EvalT>
template<Player P>

int* osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::result

Definition at line 1481 of file alphaBeta2.cc.

template<class EvalT>
template<Player P>

AlphaBeta2Tree* osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::searcher

Definition at line 1478 of file alphaBeta2.cc.

template<class EvalT>
template<Player P>

Window osl::search::AlphaBeta2Tree< EvalT >::NextMove< P >::window

Definition at line 1480 of file alphaBeta2.cc.

The documentation for this struct was generated from the following files:

- alphaBeta2.h
- alphaBeta2.cc